---
title: 快速开始
order: 2
group:
  path: /
nav:
  title: 文档
  path: /docs
---

## 安装

当前 wisdom-components 每一个组件都是一个独立的包，你需要在你的项目中安装对应的 npm 包并使用。

## panda npm 私服地址

- https://g.civnet.cn:4873/

## nrm

简介：nrm(npm registry manager )是 npm 的镜像源管理工具，有时候国外资源太慢，使用这个就可以快速地在 npm 源间切换

### 安装 nrm

在命令行执行命令，全局安装 nrm。

```bash
npm install -g nrm
```

### 使用 nrm

1. 查看当前镜像源

```bash
nrm ls
```

- npm -------- https://registry.npmjs.org/
- yarn ------- https://registry.yarnpkg.com/
- cnpm ------- http://r.cnpmjs.org/
- taobao ----- https://registry.npm.taobao.org/
- nj --------- https://registry.nodejitsu.com/
- npmMirror -- https://skimdb.npmjs.com/registry/
- edunpm ----- http://registry.enpmjs.org/

2.  切换当前镜像源

```bash
nrm use taobao
```

3.  添加 我们公司 npm 私服镜像地址

```bash
nrm add panda https://g.civnet.cn:4873/
```

4. 使用我们公司私服做为镜像源地址

```bash
nrm use panda
```

## 使用 npm 私服管理包

### 搜索并查看要使用的包

https://g.civnet.cn:4873/ ![home](https://g.civnet.cn:5010/images/npm/home.png)

### 在当前项目安装所需要的包

```bash
# 例如这里的  kit_logger
npm i  kit_logger
```

## 发布包

1. 注册用户

```bash
npm adduser
```

- username 输入你的用户名
- password 输入你的密码
- email 输入你的邮箱

2. 登录

```bash
npm login
```

- username 输入你的用户名
- password 输入你的密码
- email 输入你的邮箱

3. 检查你的当前登录状态

```bash
npm whoami
```

4. 检查并更新 `package.json` 文件

- name 包名称
- version 包版本
- description 包描述
- homepage home 地址路径
- repository 仓库地址路径
- author 包作者
- dependencies 生产依赖项
- dev-dependencies 开发依赖项

5. 发布包

```bash
npm publish
```

## 更新包

1. 包远程更新后，同步到本地

```bash
# 只更新 kit_logger包
npm update  kit_logger
```

## 删除包

```bash
# 删除 kit_logger包
npm unpublish   kit_logger
```
