---
title: ParseForm - 台账解析
nav:
  title: 基础组件
  path: /components
group:
  path: /
---

# ParseForm 台账解析

基础业务组件

- 允许台账解析，根据台账对 JSON 进行解析

## 何时使用

- 在实现台账解析时。

## 代码演示

<code src="./demos/Base.tsx">

## API

| 参数         | 说明                            | 类型               | 默认值        |
| ------------ | ------------------------------- | ------------------ | ------------- |
| tablesSchema | 台账数据集合，台账数据格式 JSON | object             | { }           |
| onSubmit     | 台账解析数据提交                | function(value){ } | function(){ } |
| onBack       | 台账解析数据退出                | function(){ }      | function(){ } |

## 台账字段形态

| 形态           | 说明                                                               |
| -------------- | ------------------------------------------------------------------ |
| 文本           | 文本展示                                                           |
| 数值           | 只允许数值展示                                                     |
| 唯一值文本     | --                                                                 |
| 多行文本       | 多行文本编辑                                                       |
| 编码           | --                                                                 |
| 地址           | --                                                                 |
| 本人部门       | 自动获取本人部门                                                   |
| 本人姓名       | 自动获取本人姓名                                                   |
| 本人 ID        | --                                                                 |
| 选择器         | ConfigInfo 对'.'进行拆分，不存在为搜索选择器，存在为多级联动选择器 |
| 搜索选择器     | 根据 ConfigInfo 查询数据字典                                       |
| 值选择器       | 根据 ConfigInfo 内容','进行拆分展示                                |
| 业务选择器     | 根据 ConfigInfo 内容'.'进行拆分,第一个表示表名，第二个表字段       |
| 可编辑值选择器 | 根据 ConfigInfo 内容','进行拆分展示，可新增其它                    |
| 平铺值选择器   | 根据 ConfigInfo 内容','进行拆分平铺展示                            |
| 站点选择器     | 根据 ConfigInfo 内容'.'进行拆分,取第 1 个进行站点查询              |
| 人员选择器     | 获取所有人员进行选择                                               |
| 城市选择器     | 进行城市选择                                                       |
| 台账选择器     | 根据 ConfigInfo 内容'.'进行拆分,第一个表示台账名，第二个表字段     |
| 附件           | 附件上传                                                           |
| 可预览附件     | --                                                                 |
| 图片           | 图片上传                                                           |
| 可预览图片     | --                                                                 |
| 录音           | --                                                                 |
| 视频           | --                                                                 |
| 日期时间       | 日期时间 YYYY-MM-DD HH:mm:ss                                       |
| 日期           | 日期 YYYY-MM-DD                                                    |
| 日期年份       | 日期年份 YYYY                                                      |
| 日期月份       | 日期月份 YYYY-MM                                                   |
| 日期周         | 日期周 YYYY-MM-DD                                                  |
| 设备选择       | --                                                                 |
| 坐标控件       | --                                                                 |
| 区域控件       | --                                                                 |
| 智能抄表       | --                                                                 |
| 二维码识别     | --                                                                 |
| 设备二维码     | --                                                                 |
| 位置坐标       | --                                                                 |
