---
title: TimeRangePicker - 自定义类型时间选择
nav:
  title: 基础组件
  path: /components
group:
  path: /
---

# TimeRangePicker 自定义类型时间选择

基础业务组件

- 支持默认时间的点击
- 支持无定义的类型过滤
- 支持自定义时间选项的精度

## 何时使用

- 需要自定义类型的时间选择时。

## 代码演示

<code src="./demos/Basic.tsx">

## API

自定义时间选择 api 参考 Antd DatePicker 组件 https://ant.design/components/date-picker-cn/#API

| 参数         | 说明                                | 类型               | 默认值                |
| ------------ | ----------------------------------- | ------------------ | --------------------- |
| layout       | 布局                                | string             | horizontal / vertical |
| value        | 值                                  | string             | -                     |
| defaultValue | 默认选中的值                        | string             | -                     |
| width        | layout 值为 vertical 时，下拉框宽度 | number             | 120                   |
| dataSource   | 数据源                              | array              | -                     |
| timeProps    | 自定义时间选择 api                  | object             | { }                   |
| onChange     | 选择事件的回调，会返回选中的时间项  | function(value){ } | -                     |
