---
title: EC_RealTimeInfo - 实时数据查看
nav:
  title: 业务组件
  path: /extend-components
group:
  path: /
---

# RealTimeInfo 实时数据查看

基础业务组件

- 查看指标名称对应的实时数据
- 允许对重点指标和全部指标筛选
- 允许搜索指标名称

## 何时使用

- 实时指标监控，查看实时指标数据时。

## 代码演示

<code src="./demos/Basic.tsx">

## API

api 参考 Antd Table 组件 https://ant.design/components/table-cn/#API

| 参数                           | 说明                         | 类型    | 默认值         |
| ------------------------------ | ---------------------------- | ------- | -------------- |
| buttonText                     | 按钮文本                     | string  | 查看更多       |
| modalTitle                     | 模态框标题                   | string  | 实时指标监控   |
| placeholder                    | 搜索框占位符                 | string  | 输入指标名称等 |
| defaultTargetValue             | 默认选中‘重要指标’或者‘全部’ | string  | emphasis       |
| user                           | 当前登录用户的用户名         | string  | 1              |
| deviceRealInfoParams`必需`     | 设备实时信息的服务参数       | object  | {}             |
| deviceConfService`必需`        | 获取设备配置服务             | promise | -              |
| pointAddressEntryService`必需` | 获取点表信息服务             | promise | -              |
| sensorTypeService`必需`        | 获取传感器类型服务           | promise | -              |
| deviceRealInfoService`必需`    | 获取设备实时数据服务         | promise | -              |
